This is an automated email from the git hooks/post-receive script.

rafael pushed a commit to branch master
in repository praat.

commit dcdfe745c80f96105d9beba23001bf5c98133192
Author: Rafael Laboissiere <[email protected]>
Date:   Fri Oct 6 13:33:24 2017 -0300

    d/t/run-tests: Execute unit test dwtest/*.praat
---
 debian/tests/run-tests | 30 ++++++++++++++++++++++--------
 1 file changed, 22 insertions(+), 8 deletions(-)

diff --git a/debian/tests/run-tests b/debian/tests/run-tests
index 9ce0b8a..2538ab4 100755
--- a/debian/tests/run-tests
+++ b/debian/tests/run-tests
@@ -10,6 +10,16 @@ PRAAT=${PRAAT:-praat}
 ### Take care of spaces in file names
 IFS='
 '
+run() {
+    ## Progress display
+    echo "===== $1"
+    ## Increment test counter
+    test_count=$(($test_count + 1))
+    ## Execute the test and increment ok counter if it succeeds
+    xvfb-run -a $PRAAT --run $1                \
+        && test_ok=$(($test_ok + 1))   \
+        || true
+}
 
 ### Initialize counters
 test_count=0
@@ -28,19 +38,23 @@ for d in $(ls -d */) ; do
             ## Skip scripts that cannot be run from the command line
            if [ $f != sys/script2.praat                \
                 -a $f != "fon ExperimentMFC/experimentMFC.praat" ] ; then
-               ## Progress display
-                echo "===== $f"
-               ## Increment test counter
-                test_count=$(($test_count + 1))
-               ## Execute the test and increment ok counter if it succeeds
-                xvfb-run -a $PRAAT --run $f                    \
-                    && test_ok=$(($test_ok + 1))       \
-                   || true
+                run $f
             fi
         done
     fi
 done
 
+### Loop over the scripts in dwtest/
+cd ../dwtest
+
+## Loop over the file in the selected directory
+for f in $(ls *.praat) ; do
+    ## Skip scripts that cannot be run from the command line
+    if [ $f != runAllTests.praat ] ; then
+        run $f
+    fi
+done
+
 ### Display test statistics
 echo "$test_count tests passed, $test_ok ok"
 

-- 
Alioth's /usr/local/bin/git-commit-notice on 
/srv/git.debian.org/git/debian-med/praat.git

_______________________________________________
debian-med-commit mailing list
[email protected]
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/debian-med-commit

Reply via email to